> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders

> Return list of recent orders.



## OpenAPI

````yaml get /orders/list
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /orders/list:
    get:
      tags:
        - Orders
      summary: List Orders
      description: Return list of recent orders.
      parameters:
        - $ref: '#/components/parameters/items_per_page'
        - $ref: '#/components/parameters/sub_account_id'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/order'
                  links:
                    $ref: '#/components/schemas/links'
                  meta:
                    $ref: '#/components/schemas/meta'
              example:
                data:
                  - id: 42708
                    message: >-
                      Hey %FIRST_NAME%!,


                      THANK YOU for allowing us the opportunity to HELP you with
                      your plan!
                    size: 4x6
                    sub_account_id: null
                    type: postcard
                    display_type: Postcard-4x6
                    style: 1
                    front_image: >-
                      https://d2md0c8rpvzmz5.cloudfront.net/letter-backgrounds/bg0.png
                    high_quality_preview: ''
                    authorization_total: 73
                    grand_total: 73
                    order_total: 73
                    total_estimated_recipients: 1
                    total_recipients: 1
                    recipient_count: 1
                    status: Fulfilled
                    method: Campaign
                    cancellable: false
                    total_scans: 0
                    created_at: '2025-09-08T16:05:12.000000Z'
                    updated_at: '2025-09-08T16:06:08.000000Z'
                links:
                  first: https://api.thanks.io/api/v2/orders/list?page=1
                  last: https://api.thanks.io/api/v2/orders/list?page=4992
                  prev: null
                  next: https://api.thanks.io/api/v2/orders/list?page=2
                meta:
                  current_page: 1
                  from: 1
                  last_page: 4992
                  path: https://api.thanks.io/api/v2/orders/list
                  per_page: '1'
                  to: 1
                  total: 4992
        '403':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    items_per_page:
      name: items_per_page
      in: query
      description: Number of items to return per page.
      required: false
      schema:
        type: integer
        default: 25
      example: 5
    sub_account_id:
      name: sub_account_id
      in: query
      description: Filter results by Sub Account ID.
      required: false
      schema:
        type: integer
      example: 1
  schemas:
    order:
      type: object
      properties:
        id:
          type: integer
          example: 42708
        message:
          type: string
          example: >-
            Hey %FIRST_NAME%!,


            THANK YOU for allowing us the opportunity to HELP you with your
            plan!
        size:
          type: string
          description: Only valid for postcards
          example: 4x6
        sub_account_id:
          type:
            - integer
            - 'null'
          example: null
        type:
          type: string
          enum:
            - postcard
            - postcard6x11
            - letter
            - notecard
            - giftcard
            - windowlessletter
          example: postcard
        display_type:
          type: string
          example: Postcard-4x6
        style:
          type: integer
          description: Handwriting Style ID used for this order
          example: 1
        front_image:
          type: string
          example: https://d2md0c8rpvzmz5.cloudfront.net/letter-backgrounds/bg0.png
        high_quality_preview:
          type: string
          description: PDF of the high quality preview of the order
        authorization_total:
          type: integer
          example: 73
        grand_total:
          type: integer
          example: 73
        order_total:
          type: integer
          example: 73
        total_estimated_recipients:
          type: integer
          example: 1
        total_recipients:
          type: integer
          example: 1
        recipient_count:
          type: integer
          example: 1
        status:
          type: string
          example: Fulfilled
        method:
          type: string
          example: Campaign
        cancellable:
          type: boolean
          example: false
        total_scans:
          type: integer
          example: 0
        created_at:
          type: string
          format: date-time
          example: '2025-09-08T16:05:12.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-09-08T16:06:08.000000Z'
    links:
      type: object
      properties:
        first:
          type:
            - string
            - 'null'
          description: URL of the first page of results
        last:
          type:
            - string
            - 'null'
          description: URL of the last page of results
        prev:
          type:
            - string
            - 'null'
          description: URL of the previous page of results
        next:
          type:
            - string
            - 'null'
          description: URL of the next page of results
    meta:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
          description: Current page number
        from:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the first item on the current page
        last_page:
          type: integer
          example: 1
          description: Total number of pages
        path:
          type: string
          description: Base URL for the resource
        per_page:
          type: integer
          example: 25
          description: Number of items per page
        to:
          type:
            - integer
            - 'null'
          example: 1
          description: Index of the last item on the current page
        total:
          type: integer
          example: 1
          description: Total number of items
  responses:
    Unauthorized:
      description: Access token is missing or invalid
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````